Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1206640

Summary: grouped resources converted to separate resources
Product: [Fedora] Fedora Reporter: Patrik Hagara <phagara>
Component: clufterAssignee: Jan Pokorný [poki] <jpokorny>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: jpokorny
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1272191 (view as bug list) Environment:
Last Closed: 2016-12-20 13:25:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1272191    
Attachments:
Description Flags
cluster.conf with service group none

Description Patrik Hagara 2015-03-27 15:25:32 UTC
Description of problem:
Resources from service groups get converted to separate resources, causing undesired behavior (reources started on different nodes).

Version-Release number of selected component (if applicable):
clufter next branch f5fa0f8fccacb1bdc76ec792df34f9bf373f8229

How reproducible:
always

Steps to Reproduce:
1. cluster.conf with service group containing multiple resources
2. convert with clufter and deploy to pacemaker cluster
3. resources get started on different nodes

Actual results:
separate resources started on different nodes

Expected results:
grouped resources, running on the same node

Additional info:
looks like rgmanager-service meta attribute should be and is not processed further by some filter in clufter

Comment 1 Patrik Hagara 2015-04-01 14:05:13 UTC
Created attachment 1009681 [details]
cluster.conf with service group

Comment 2 Jan Pokorný [poki] 2015-04-02 17:24:59 UTC
Major roadblock here is when service is exclusive.
I would say it's unsupported for the time being and I should probably
raise a flag when it is witnessed.


Longer version:

In the mid-/long-term, exclusiveness could be emulated using utilization
contraint (probably have yet to see a config using it + not sure about
the current supportability status):
https://github.com/jnpkrn/clufter/blob/v0.10.3/__root__/doc/rgmanager-pacemaker.02.resources.txt#L309

Short-term, we could set the anti-colocation with any other resource, but
this is very ugly anti-pattern in pacemaker world:

- (N-1) anti-contraints just to make the remaining single resource
  "special"
  - hell to manage (imagine removing these constraints one-by-one
    in pcs/GUI just to remove "special"/exclusive status of the resource)
  - not very scalable and prone to errors (imagine adding another
    resource, you have to make sure to put it to anti-colocation
    with that "special"/exclusive resource as well, ditto potential
    to leave garbage constraints behind after removing a proper resource
    [which might be indicated by failure of referential integrity
    with respect to the schema, but anyway])

- there is some sense of least configuration (as little constraints
  as possible) to leave pacemaker with maximal decision space to find
  an (near-)optimal natural allocation of resources -- blowing up
  the config exponentially for this relatively small gainsimply
  doesn't seem to be worth it

Comment 3 Jan Kurik 2015-07-15 14:20:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Fedora Update System 2015-12-21 17:33:59 UTC
clufter-0.55.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-adbf86bbdc

Comment 5 Fedora Update System 2015-12-21 17:34:00 UTC
clufter-0.55.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5b675e2ad7

Comment 6 Fedora Update System 2015-12-22 15:33:13 UTC
clufter-0.55.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5b675e2ad7

Comment 7 Fedora Update System 2015-12-23 00:10:39 UTC
clufter-0.55.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-adbf86bbdc

Comment 8 Fedora Update System 2015-12-31 00:55:27 UTC
clufter-0.55.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-31 01:50:18 UTC
clufter-0.55.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora End Of Life 2016-11-24 11:37:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2016-12-20 13:25:49 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.